Subject: bug#63288: 30.0.50; Emacs 30 packages fail to build with native comp on some machines

From: Mattias Engdegård <[email-masked]>
Date: Thu, 11 May 2023 12:33:16 +0200

>> Andrea, does the native compiler somehow miscompile package-read-from-string?
> 
> Hi, (sorry for being late) not that I'm aware!  But in this case the
> failer should be deterministic no?

Well I haven't studied the native compiler enough to know how many dice it rolls...

>> Since the failure appears to be nondeterministic, perhaps there is a native-comp build race involved?
> 
> Mmmh, or maybe related to the presence or not of some eln?

Could be. I'm going out on a limb here and declare the byte-code compiler completely innocent in this case.

Would you work with the original reporters so that they don't have to maintain some terrible hack that may be hiding a deeper bug? If anything turns out to be pointing in my direction I'll be happy to help out.